
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #626

Opus cover art

March 05, 2016 05:21 - Will F.

Status: Closed Start date: March 05, 2016

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version: 3.9   

Affects version: 3.7.1   

Description

I'd like to request support for opus cover art in the info bar.

History

#1 - July 10, 2016 06:22 - John Lindgren

Opus files are currently played through FFmpeg.  Do you know if FFmpeg has any sort of album art support built-in, or would this require adding new

parsing code to Audacious?

#2 - July 10, 2016 06:23 - John Lindgren

- Category set to plugins/ffaudio

#3 - July 11, 2016 11:34 - Artem S. Tashkinov

There's no API for retrieving the album art specifically.

http://stackoverflow.com/questions/13592709/retrieve-album-art-using-ffmpeg

#4 - September 23, 2016 10:55 - Martin Brodbeck

I'm very new to audacious (just giving it a try) and also would like to have audacious show cover art for/from opus files.

Ogg vorbis and opus both use vorbis comments. So my guess is that it should be no big effort to use the ogg mechanism for opus, too. I have a little

experience how other players handle this (but they used taglib) and tweaked them to support opus files. Unfortunately I'm somehow lost where to look

in the audacious source for this...

#5 - September 23, 2016 15:08 - John Lindgren

Martin Brodbeck wrote:

... Unfortunately I'm somehow lost where to look in the audacious source for this...

 

audacious-plugins/src/vorbis

#6 - September 24, 2016 00:49 - John Lindgren
http://stackoverflow.com/questions/13592709/retrieve-album-art-using-ffmpeg


- Status changed from New to Closed

- Target version set to 3.9

- % Done changed from 0 to 100

Artem S. Tashkinov wrote:

There's no API for retrieving the album art specifically.

 

AVStream::attached_pic seems to be what we want.
